<div [@routerTransition]>
  <app-page-header
    [heading]="'CSV File Upload'"
    [icon]="'fa-upload'"
  ></app-page-header>
  <div class="card">
    <!-- <img class="card-img-top" src="holder.js/100x180/" alt="" /> -->
    <div class="card-body">
      <h4 class="card-title">Instructions</h4>
      <ol>
        <li>Download and Fill-in CSV Templates</li>
        <li>Submit Business Objective CSV</li>
        <li>Submit Asset Profile CSV</li>
        <li>Submit Service Profile CSV</li>
        <li>Enter a name for the CDG file</li>
        <li>Click Download CDGS File</li>
      </ol>
      <a href="assets/csvFileTemplates.zip" download class="btn btn-primary">
        Download Template CSV Files
      </a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <form
        [formGroup]="statusCreateForm"
        #statusNgForm="ngForm"
        (submit)="handleSubmit($event, statusNgForm, statusCreateForm)"
      >
        <div class="input-group">
          <div class="custom-file">
            <input
              #boInput
              type="file"
              class="custom-file-input"
              id="file"
              (change)="handleBoFileInput($event.target.files)"
            />
            <label class="custom-file-label" for="file">{{
              fileStringBo
            }}</label>
          </div>
          <div class="input-group-append">
            <button type="submit" class="btn btn-dark">
              Submit Business Objective CSV
            </button>
          </div>
        </div>
        <br />
        <div class="input-group">
          <div class="custom-file">
            <input
              [disabled]="
                businessObjectiveData === undefined ||
                businessObjectiveData.length === 0
              "
              #apInput
              type="file"
              class="custom-file-input"
              id="file"
              (change)="handleApFileInput($event.target.files)"
            />
            <label class="custom-file-label" for="file">{{
              fileStringAp
            }}</label>
          </div>
          <div class="input-group-append">
            <button
              [disabled]="
                businessObjectiveData === undefined ||
                businessObjectiveData.length === 0
              "
              type="submit"
              class="btn btn-dark"
            >
              Submit Asset Profile CSV
            </button>
          </div>
        </div>
        <br />
        <div class="input-group">
          <div class="custom-file">
            <input
              [disabled]="
                assetProfileData === undefined || assetProfileData.length === 0
              "
              #spInput
              type="file"
              class="custom-file-input"
              id="file"
              (change)="handleSpFileInput($event.target.files)"
            />
            <label class="custom-file-label" for="file">{{
              fileStringSp
            }}</label>
          </div>
          <div class="input-group-append">
            <button
              [disabled]="
                assetProfileData === undefined || assetProfileData.length === 0
              "
              type="submit"
              class="btn btn-dark"
            >
              Submit Service Profile CSV
            </button>
          </div>
        </div>
      </form>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <div class="input-group">
        <span class="input-group-btn">
          <button
            [disabled]="
              serviceProfileData === undefined ||
              serviceProfileData.length === 0
            "
            class="btn btn-secondary"
            type="button"
            aria-label=""
            (click)="downloadFile()"
          >
            Download CDGS File
          </button>
        </span>
        <input
          [disabled]="
            serviceProfileData === undefined || serviceProfileData.length === 0
          "
          type="text"
          class="form-control"
          name="fileName"
          id="fileName"
          [(ngModel)]="fileForDownload"
          placeholder=""
          aria-label=""
        />
      </div>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h4 class="card-title">JSON Output</h4>
      <pre class="card-text">{{ cdgArray | json }}</pre>
    </div>
  </div>
</div>
